// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: scope.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// ScopeType represents the level that resources at available at.
type ScopeType int32

const (
	ScopeType_GLOBAL       ScopeType = 0
	ScopeType_ORGANIZATION ScopeType = 1
	ScopeType_PROJECT      ScopeType = 2
)

// Enum value maps for ScopeType.
var (
	ScopeType_name = map[int32]string{
		0: "GLOBAL",
		1: "ORGANIZATION",
		2: "PROJECT",
	}
	ScopeType_value = map[string]int32{
		"GLOBAL":       0,
		"ORGANIZATION": 1,
		"PROJECT":      2,
	}
)

func (x ScopeType) Enum() *ScopeType {
	p := new(ScopeType)
	*p = x
	return p
}

func (x ScopeType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ScopeType) Descriptor() protoreflect.EnumDescriptor {
	return file_scope_proto_enumTypes[0].Descriptor()
}

func (ScopeType) Type() protoreflect.EnumType {
	return &file_scope_proto_enumTypes[0]
}

func (x ScopeType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ScopeType.Descriptor instead.
func (ScopeType) EnumDescriptor() ([]byte, []int) {
	return file_scope_proto_rawDescGZIP(), []int{0}
}

var File_scope_proto protoreflect.FileDescriptor

var file_scope_proto_rawDesc = string([]byte{
	0x0a, 0x0b, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x6d,
	0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62,
	0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x2a, 0x36, 0x0a, 0x09,
	0x53, 0x63, 0x6f, 0x70, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0a, 0x0a, 0x06, 0x47, 0x4c, 0x4f,
	0x42, 0x41, 0x4c, 0x10, 0x00, 0x12, 0x10, 0x0a, 0x0c, 0x4f, 0x52, 0x47, 0x41, 0x4e, 0x49, 0x5a,
	0x41, 0x54, 0x49, 0x4f, 0x4e, 0x10, 0x01, 0x12, 0x0b, 0x0a, 0x07, 0x50, 0x52, 0x4f, 0x4a, 0x45,
	0x43, 0x54, 0x10, 0x02, 0x42, 0x47, 0x5a, 0x45, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6d,
	0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x70,
	0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_scope_proto_rawDescOnce sync.Once
	file_scope_proto_rawDescData []byte
)

func file_scope_proto_rawDescGZIP() []byte {
	file_scope_proto_rawDescOnce.Do(func() {
		file_scope_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_scope_proto_rawDesc), len(file_scope_proto_rawDesc)))
	})
	return file_scope_proto_rawDescData
}

var file_scope_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_scope_proto_goTypes = []any{
	(ScopeType)(0), // 0: martiancloud.phobos.api.scope.ScopeType
}
var file_scope_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_scope_proto_init() }
func file_scope_proto_init() {
	if File_scope_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_scope_proto_rawDesc), len(file_scope_proto_rawDesc)),
			NumEnums:      1,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_scope_proto_goTypes,
		DependencyIndexes: file_scope_proto_depIdxs,
		EnumInfos:         file_scope_proto_enumTypes,
	}.Build()
	File_scope_proto = out.File
	file_scope_proto_goTypes = nil
	file_scope_proto_depIdxs = nil
}
